Runtime

## org.eclipse.gmf.runtime.diagram.ui.services.layout
Class AbstractLayoutNodeProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.diagram.ui.services.layout.AbstractLayoutNodeProvider

All Implemented Interfaces:
  ILayoutNodeProvider, IProvider

Direct Known Subclasses:
  AbstractLayoutEditPartProvider

public abstract class AbstractLayoutNodeProvider
extends AbstractProvider
implements ILayoutNodeProvider

Constructor Summary
`AbstractLayoutNodeProvider()`

Method Summary
`protected View` `getContainer(IOperation operation)` Retrieves the common container that will be the target for the layout operation.
`protected java.util.Map` `getNodeToSizeMap(ILayoutNodeOperation operation)` Gets a `Map` where the keys are the notation `Node` and the associated value is a `org.eclipse.draw2d.geometry.Dimension` object.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.diagram.ui.services.layout.ILayoutNodeProvider
`layoutLayoutNodes`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Constructor Detail

### AbstractLayoutNodeProvider

    public AbstractLayoutNodeProvider()

Method Detail

### getContainer

    protected View getContainer(IOperation operation)

  Retrieves the common container that will be the target for the layout operation.

  Parameters:
    `operation` - the `IOperation` that gets thee contributing nodes to the layout to calculate the container from.
  Returns:
    the `View` that will be the target for the layout operation

### getNodeToSizeMap

    protected java.util.Map getNodeToSizeMap(ILayoutNodeOperation operation)

  Gets a `Map` where the keys are the notation `Node` and the associated value is a `org.eclipse.draw2d.geometry.Dimension` object.

  Parameters:
    `operation` - `ILayoutNodeOperation` to retrieve the nodes sizes
  Returns:
    `Map`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.